This page was not yet optimized for use on mobile devices.
OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #5023 |
|---|---|
| Status | active |
| Validation dates | 08.06.2025 |
| Sunset date | 07-06-2030 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in approved mode, installed, initialized and configured as specified in Section 11 of the Security Policy. No assurance of minimum security of SSPs (e.g., keys, bit strings) that are externally loaded, or of SSPs established with externally loaded SSPs |
| Exceptions |
|
| Description | Cryptographic library offering various cryptographic mechanisms to be used by OpenSSL application running on F5 VELOS system controller and blade. |
| Vendor | F5, Inc. f5.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-256, AES-128, AES, AES-192, AES-, CAST5, CAST, RC2, RC4, DES, Triple-DES, TDES, TDEA, IDEA, Blowfish, Camellia, SM4, SEED, HMAC, HMAC-SHA-384, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-384, SHA-256, SHA384, SHA-3, MD4, MD5, RIPEMDSchemes
MAC, Key AgreementProtocols
SSH, SSHv2, TLS, TLS v1.2, TLS 1.0, TLS 1.2, TLSv1.2, TLS v1.0Randomness
DRBG, RNG, RBGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-224, P-521Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard API constants
SM2Trusted Execution Environments
PSPSecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 186-4, FIPS186-4, FIPS 198-1, FIPS 180-4, FIPS180-4, FIPS 140, FIPS140-3, FIPS197, FIPS198-1, FIPS202, SP 800-38A, SP 800-38D, SP 800-90A, SP 800-56A, SP 800-135, SP 800-131A, SP 800-140F, PKCS 1, PKCS #1, PKCS#1, RFC7627, RFC5288, RFC 5288, RFC 4253, RFC 6668, RFC5647, RFC3394, RFC5649Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 5023,
"dgst": "a5d78811121695de",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-256A4782",
"KDF TLSA4782",
"HMAC-SHA2-384A4782",
"#A4783",
"Counter DRBGA4783",
"AES-CBCA4783",
"SHA2-384A4782",
"SHA-1A4783",
"AES-CTRA4782",
"AES-ECBA4783",
"RSA SigVer (FIPS186-4)A4782",
"HMAC-SHA-1A4783",
"KAS-ECC-SSC Sp800-56Ar3A4782",
"ECDSA SigVer (FIPS186-4)A4782",
"ECDSA KeyGen (FIPS186-4)A4782",
"#A4782",
"KDF SSHA4782",
"TLS v1.2 KDF RFC7627A4782",
"ECDSA KeyVer (FIPS186-4)A4782",
"RSA KeyGen (FIPS186-4)A4782",
"ECDSA SigGen (FIPS186-4)A4782",
"SHA2-256A4782",
"AES-GMACA4783",
"RSA SigGen (FIPS186-4)A4782",
"AES-GCMA4783"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 0,
"br1_tables": {
"_type": "sec_certs.heuristics.br1.table_parsing.model.br1_tables.BR1Tables",
"approved_algorithms": {
"entries": [
{
"algorithm": "AES-CBC",
"cavpCertName": "A4782",
"properties": "Direction - Decrypt, Encrypt Key Length - 128, 192, 256",
"reference": "SP 800-38A"
},
{
"algorithm": "AES-CBC",
"cavpCertName": "A4783",
"properties": "Direction - Decrypt, Encrypt Key Length - 128, 192, 256",
"reference": "SP 800-38A"
},
{
"algorithm": "AES-CTR",
"cavpCertName": "A4782",
"properties": "Direction - Decrypt, Encrypt Key Length - 128, 192, 256",
"reference": "SP 800-38A"
},
{
"algorithm": "AES-ECB",
"cavpCertName": "A4782",
"properties": "Direction - Decrypt, Encrypt Key Length - 128, 192, 256",
"reference": "SP 800-38A"
},
{
"algorithm": "AES-ECB",
"cavpCertName": "A4783",
"properties": "Direction - Decrypt, Encrypt Key Length - 128, 192, 256",
"reference": "SP 800-38A"
},
{
"algorithm": "AES-GCM",
"cavpCertName": "A4782",
"properties": "Direction - Decrypt, Encrypt IV Generation - Internal IV Generation Mode - 8.2.1 Key Length - 128, 192, 256",
"reference": "SP 800-38D"
},
{
"algorithm": "AES-GCM",
"cavpCertName": "A4783",
"properties": "Direction - Decrypt, Encrypt IV Generation - Internal IV Generation Mode - 8.2.1 Key Length - 128, 192, 256",
"reference": "SP 800-38D"
},
{
"algorithm": "AES-GMAC",
"cavpCertName": "A4782",
"properties": "Direction - Decrypt, Encrypt IV Generation - Internal",
"reference": "SP 800-38D"
},
{
"algorithm": "",
"cavpCertName": "",
"properties": "IV Generation Mode - 8.2.1 Key Length - 128, 192, 256",
"reference": ""
},
{
"algorithm": "AES-GMAC",
"cavpCertName": "A4783",
"properties": "Direction - Decrypt, Encrypt IV Generation - Internal IV Generation Mode - 8.2.1 Key Length - 128, 192, 256",
"reference": "SP 800-38D"
},
{
"algorithm": "Counter DRBG",
"cavpCertName": "A4782",
"properties": "Prediction Resistance - No, Yes Mode - AES-256 Derivation Function Enabled - No, Yes",
"reference": "SP 800-90A Rev. 1"
},
{
"algorithm": "Counter DRBG",
"cavpCertName": "A4783",
"properties": "Prediction Resistance - No Mode - AES-256 Derivation Function Enabled - Yes",
"reference": "SP 800-90A Rev. 1"
},
{
"algorithm": "ECDSA KeyGen (FIPS186- 4)",
"cavpCertName": "A4782",
"properties": "Curve - P-256, P-384",
"reference": "FIPS 186-4"
},
{
"algorithm": "ECDSA KeyVer (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Curve - P-256, P-384",
"reference": "FIPS 186-4"
},
{
"algorithm": "ECDSA SigGen (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Component - No Curve - P-256, P-384",
"reference": "FIPS 186-4"
},
{
"algorithm": "ECDSA SigVer (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Component - No Curve - P-256, P-384",
"reference": "FIPS 186-4"
},
{
"algorithm": "HMAC-SHA-1",
"cavpCertName": "A4782",
"properties": "Key Length - Key Length: 8, 16, 64, 128, 1024",
"reference": "FIPS 198-1"
},
{
"algorithm": "HMAC-SHA-1",
"cavpCertName": "A4783",
"properties": "Key Length - Key Length: 8, 16, 64, 128, 1024",
"reference": "FIPS 198-1"
},
{
"algorithm": "HMAC-SHA2-256",
"cavpCertName": "A4782",
"properties": "Key Length - Key Length: 8, 16, 64, 128, 1024",
"reference": "FIPS 198-1"
},
{
"algorithm": "HMAC-SHA2-384",
"cavpCertName": "A4782",
"properties": "Key Length - Key Length: 8, 16, 64, 128, 1024",
"reference": "FIPS 198-1"
},
{
"algorithm": "KAS-ECC-SSC Sp800-56Ar3",
"cavpCertName": "A4782",
"properties": "Domain Parameter Generation Methods - P-256, P-384 Scheme - staticUnified - KAS Role - initiator, responder",
"reference": "SP 800-56A Rev. 3"
},
{
"algorithm": "KDF SSH (CVL)",
"cavpCertName": "A4782",
"properties": "Cipher - AES-128, AES-256",
"reference": "SP 800-135 Rev. 1"
},
{
"algorithm": "KDF TLS (CVL)",
"cavpCertName": "A4782",
"properties": "TLS Version - v1.0/1.1",
"reference": "SP 800-135 Rev. 1"
},
{
"algorithm": "RSA KeyGen (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Key Generation Mode - B.3.3 Modulo - 2048, 3072, 4096 Primality Tests - Table C.2 Private Key Format - Standard",
"reference": "FIPS 186-4"
},
{
"algorithm": "RSA SigGen (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Signature Type - PKCS 1.5 Modulo - 2048, 3072, 4096",
"reference": "FIPS 186-4"
},
{
"algorithm": "RSA SigVer (FIPS186-4)",
"cavpCertName": "A4782",
"properties": "Signature Type - PKCS 1.5 Modulo - 2048, 3072, 4096",
"reference": "FIPS 186-4"
},
{
"algorithm": "SHA-1",
"cavpCertName": "A4782",
"properties": "-",
"reference": "FIPS 180-4"
},
{
"algorithm": "SHA-1",
"cavpCertName": "A4783",
"properties": "-",
"reference": "FIPS 180-4"
},
{
"algorithm": "SHA2-256",
"cavpCertName": "A4782",
"properties": "-",
"reference": "FIPS 180-4"
},
{
"algorithm": "SHA2-384",
"cavpCertName": "A4782",
"properties": "-",
"reference": "FIPS 180-4"
},
{
"algorithm": "TLS v1.2 KDF RFC7627 (CVL)",
"cavpCertName": "A4782",
"properties": "-",
"reference": "SP 800-135 Rev. 1"
}
],
"found": true,
"section": 2,
"subsection": 5
},
"approved_services": {
"entries": [
{
"description": "Executes AES- mode encrypt operation",
"indicator": "AES-ECB, AES- CBC, AES-CTR",
"inputs": "Plaintext and key",
"name": "Encryption",
"outputs": "Ciphertext",
"rolesSspAccess": "Crypto Officer - AES key : W,E",
"secFunImpl": "Encryption with AES"
},
{
"description": "Executes AES- mode decrypt operation",
"indicator": "AES-ECB, AES- CBC, AES-CTR",
"inputs": "Ciphertext and key",
"name": "Decryption",
"outputs": "Plaintext",
"rolesSspAccess": "Crypto Officer - AES key : W,E",
"secFunImpl": "Decryption with AES"
},
{
"description": "Executes AES- key wrapping or unwrapping operation",
"indicator": "AES-GCM encrypt / decrypt",
"inputs": "Key wrapping key and key to be wrapped",
"name": "Key wrapping",
"outputs": "Wrapped key",
"rolesSspAccess": "Crypto Officer - AES key : W,E - GCM IV in TLS context: G,W,E - GCM IV in SSH context: G,W,E",
"secFunImpl": "AES-Key Wrapping"
},
{
"description": "Generate Random number",
"indicator": "CTR-DRBG- AES-256",
"inputs": "Number of bits",
"name": "Random number generation",
"outputs": "Random numbers",
"rolesSspAccess": "Crypto Officer - Entropy input string : W,E - DRBG seed : G - DRBG internal state (V and key values) : G",
"secFunImpl": "Random Number Generation"
},
{
"description": "Generate RSA key pair",
"indicator": "RSA-KEY- GEN-2048, RSA-KEY- GEN-3072,",
"inputs": "Key size",
"name": "RSA key pair generation",
"outputs": "Key pair",
"rolesSspAccess": "Crypto Officer - RSA private key: G,R",
"secFunImpl": "RSA key generation"
},
{
"description": "",
"indicator": "RSA-KEY- GEN-4096",
"inputs": "",
"name": "",
"outputs": "",
"rolesSspAccess": "- RSA public key: G,R",
"secFunImpl": ""
},
{
"description": "Sign a message with a specified RSA private key",
"indicator": "RSA-SIG",
"inputs": "Private key, Message, Hashing algorithm",
"name": "RSA signature generation",
"outputs": "Computed signature",
"rolesSspAccess": "Crypto Officer - RSA private key: W,E",
"secFunImpl": "RSA signature generation"
},
{
"description": "Authenticated Encryption",
"indicator": "AES-GCM",
"inputs": "AES key, plaintext",
"name": "Authenticated Encryption",
"outputs": "Ciphertext",
"rolesSspAccess": "Crypto Officer - AES key : W,E - GCM IV in TLS context: G,W,E - GCM IV in SSH context: G,W,E",
"secFunImpl": "Authenticated encryption with AES GCM"
},
{
"description": "Authenticated Decryption",
"indicator": "AES-GCM",
"inputs": "AES key, ciphertext",
"name": "Authenticated Decryption",
"outputs": "Plaintext",
"rolesSspAccess": "Crypto Officer - AES key : W,E - GCM IV in TLS context: W,E - GCM IV in SSH context: W,E",
"secFunImpl": "Authenticated decryption with AES GCM"
},
{
"description": "MAC computation",
"indicator": "AES-GMAC",
"inputs": "AES key, message",
"name": "Message Authentication Generation with AES",
"outputs": "MAC tag",
"rolesSspAccess": "Crypto Officer - AES key : W,E",
"secFunImpl": "Message authentication generation with AES"
},
{
"description": "MAC computation",
"indicator": "MSG-AUTH- HMAC-SHA-1, MSG-AUTH- HMAC-SHA- 256 MSG- AUTH-HMAC- SHA-384",
"inputs": "HMAC key, message",
"name": "Message Authentication Generation with HMAC",
"outputs": "MAC tag",
"rolesSspAccess": "Crypto Officer - HMAC key : W,E",
"secFunImpl": "Message authentication generation with HMAC"
},
{
"description": "MAC computation",
"indicator": "AES-GMAC",
"inputs": "AES key, Authenticated message, MAC algorithm",
"name": "Message Authentication Verification with AES",
"outputs": "Message",
"rolesSspAccess": "Crypto Officer - AES key : W,E",
"secFunImpl": "Message authentication verification with AES"
},
{
"description": "MAC computation",
"indicator": "MSG-AUTH- HMAC-SHA-1, MSG-AUTH- HMAC-SHA-",
"inputs": "HMAC key, Authenticated message,",
"name": "Message Authentication",
"outputs": "Message",
"rolesSspAccess": "Crypto Officer - HMAC key : W,E",
"secFunImpl": "Message authentication"
},
{
"description": "",
"indicator": "256 MSG- AUTH-HMAC- SHA-384",
"inputs": "MAC algorithm",
"name": "Verification with HMAC",
"outputs": "",
"rolesSspAccess": "",
"secFunImpl": "verification with HMAC"
},
{
"description": "Generating message digest",
"indicator": "MESSAGE- DIGEST-SHA-1 MESSAGE- DIGEST-SHA- 256 MESSAGE- DIGEST-SHA- 384",
"inputs": "Message",
"name": "Message Digest",
"outputs": "Message digest",
"rolesSspAccess": "Crypto Officer",
"secFunImpl": "Message digest"
},
{
"description": "Generate ECDSA key pair",
"indicator": "EC-KEYGEN- P-256, EC- KEYGEN-P- 284",
"inputs": "Curve",
"name": "ECDSA key pair generation",
"outputs": "ECDSA key pair",
"rolesSspAccess": "Crypto Officer - ECDSA private key: G,R - ECDSA public key: G,R - EC Diffie- Hellman private key: G,R - EC Diffie- Hellman public key: G,R",
"secFunImpl": "ECC key pair generation"
},
{
"description": "Verify ECDSA key pair",
"indicator": "EC-KEY- VERIFY-P-256, EC-KEY- VERIFY-P-384",
"inputs": "Public key",
"name": "ECDSA key pair verification",
"outputs": "Success/ error",
"rolesSspAccess": "Crypto Officer - ECDSA public key: W - EC Diffie- Hellman public key: W",
"secFunImpl": "ECC public key verification"
},
{
"description": "Verify the signature of a message with a specified RSA public key.",
"indicator": "RSA-VER",
"inputs": "RSA public key, digital signature, message, Hashing algorithm",
"name": "RSA signature verification",
"outputs": "Pass / fail result of digital signature verification",
"rolesSspAccess": "Crypto Officer - RSA public key: W,E",
"secFunImpl": "RSA signature verification RSA signature verification (legacy)"
},
{
"description": "Sign a message with a specified ECDSA private key.",
"indicator": "ECDSA-SIGN- P-256, ECDSA- SIGN-P-384",
"inputs": "ECDSA private key, Message, Hashing algorithm",
"name": "ECDSA signature generation",
"outputs": "Computed signature",
"rolesSspAccess": "Crypto Officer - ECDSA private key: W,E",
"secFunImpl": "ECDSA signature generation"
},
{
"description": "Verify the signature of a message with a specified",
"indicator": "ECDSA- VERIFY-P-256, ECDSA- VERIFY-P-384",
"inputs": "ECDSA public key, digital signature, message,",
"name": "ECDSA signature verification",
"outputs": "Digital signature verification result",
"rolesSspAccess": "Crypto Officer - ECDSA public key: W,E",
"secFunImpl": "ECDSA signature verification"
},
{
"description": "ECDSA public key",
"indicator": "",
"inputs": "Hashing algorithm",
"name": "",
"outputs": "",
"rolesSspAccess": "",
"secFunImpl": ""
},
{
"description": "Calculate a shared secret via the ECDH algorithm.",
"indicator": "ECDH- COMPUTE- KEY-P-256, ECDH- COMPUTE- KEY-P-384",
"inputs": "EC public key, EC private key",
"name": "EC Diffie- Hellman shared secret computation",
"outputs": "Shared Secret",
"rolesSspAccess": "Crypto Officer - EC Diffie- Hellman private key: W - EC Diffie- Hellman shared secret: G,R",
"secFunImpl": "EC Diffie- Hellman Shared Secret Computation"
},
{
"description": "Deriving TLS keys",
"indicator": "TLS-P-HASH- DERIVATION- SHA-1 TLS-P- HASH- DERIVATION- SHA-256 TLS- P-HASH- DERIVATION SHA-384",
"inputs": "TLS pre- primary secret",
"name": "Key derivation using TLS pre- primary secret",
"outputs": "TLS primary secret",
"rolesSspAccess": "Crypto Officer - TLS pre- primary secret : W,E - TLS primary secret: G,R",
"secFunImpl": "Key derivation"
},
{
"description": "Deriving TLS keys",
"indicator": "TLS-P-HASH- DERIVATION- SHA-1 TLS-P- HASH- DERIVATION- SHA-256 TLS- P-HASH- DERIVATION SHA-384",
"inputs": "TLS primary secret",
"name": "Key derivation using TLS primary secret",
"outputs": "TLS Derived Key",
"rolesSspAccess": "Crypto Officer - TLS primary secret: W,E - TLS derived session key : G,R",
"secFunImpl": "Key derivation"
},
{
"description": "Deriving SSH keys",
"indicator": "SSH-KEY- HASH- DERIVATION- SHA-256 SSH- KEY-HASH- DERIVATION SHA-384",
"inputs": "Shared secret, Key length",
"name": "Key derivation using SSH shared secret",
"outputs": "SSH derived Key",
"rolesSspAccess": "Crypto Officer - SSH derived session key : G,R - SSH shared secret: W,E",
"secFunImpl": "Key derivation"
},
{
"description": "Return the SW version and the module\u0027s name",
"indicator": "N/A",
"inputs": "N/A",
"name": "Show version",
"outputs": "Module name and version",
"rolesSspAccess": "Unauthenticated Crypto Officer",
"secFunImpl": "None"
},
{
"description": "Return the module status",
"indicator": "N/A",
"inputs": "N/A",
"name": "Show Status",
"outputs": "Module status",
"rolesSspAccess": "Unauthenticated Crypto Officer",
"secFunImpl": "None"
},
{
"description": "Zeroize all non-protected SSPs",
"indicator": "N/A",
"inputs": "N/A",
"name": "Zeroization",
"outputs": "All SSPs in the SSPs table",
"rolesSspAccess": "Crypto Officer - AES key : Z - HMAC key : Z - RSA private key: Z - RSA public key: Z - ECDSA private key: Z - ECDSA public key: Z - EC Diffie- Hellman private key: Z - EC Diffie- Hellman public key: Z - EC Diffie- Hellman shared secret: Z - TLS pre- primary secret : Z - TLS primary secret: Z - TLS derived session key : Z - SSH shared secret: Z - SSH derived session key : Z - Entropy input string : Z - DRBG seed : Z - DRBG internal state (V and key values) : Z",
"secFunImpl": "None"
},
{
"description": "Execute integrity test. Execute the CASTs",
"indicator": "Integrity test, CASTs from sections 10.1 and 10.2",
"inputs": "N/A",
"name": "Self-tests",
"outputs": "Pass or fail",
"rolesSspAccess": "Unauthenticated Crypto Officer",
"secFunImpl": "EC Diffie- Hellman Shared Secret Computation AES-Key Wrapping Encryption with AES Decryption with AES"
},
{
"description": "",
"indicator": "",
"inputs": "",
"name": "",
"outputs": "",
"rolesSspAccess": "",
"secFunImpl": "ECC key pair generation ECC public key verification ECDSA signature generation ECDSA signature verification Message digest Message authentication generation with HMAC Message authentication verification with HMAC Key derivation RSA key generation Message authentication generation with AES Message authentication verification with AES Authenticated encryption with AES GCM Authenticated decryption with AES GCM Random Number Generation RSA signature generation RSA signature verification"
}
],
"found": true,
"section": 4,
"subsection": 3
},
"authentication_methods": {
"entries": [],
"found": false,
"section": 4,
"subsection": 1
},
"cond_self_tests": {
"entries": [
{
"algorithmOrTest": "Counter DRBG (A4783)",
"condition": "Test run during pre-operational self-test",
"details": "SP800-90ARev1 section 11.3 health tests",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "AES-256 in CTR mode, with derivation function, prediction resistance disabled",
"type": "CAST"
},
{
"algorithmOrTest": "AES-CBC (A4783)",
"condition": "Test run during pre-operational self-test",
"details": "Encryption / decryption",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "128-bit key",
"type": "CAST"
},
{
"algorithmOrTest": "AES-GCM (A4783)",
"condition": "Test run during pre-operational self-test",
"details": "Encryption / decryption",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "128-bit key",
"type": "CAST"
},
{
"algorithmOrTest": "RSA SigGen (FIPS186-4) (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Signature generation",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "2048 bit key and SHA2- 256",
"type": "CAST"
},
{
"algorithmOrTest": "RSA SigVer (FIPS186-4) (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Signature verification",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "2048 bit key and SHA2- 256",
"type": "CAST"
},
{
"algorithmOrTest": "RSA KeyGen (FIPS186-4) (A4782)",
"condition": "Key generation",
"details": "Calculation and verification of a digital signature",
"indicator": "Asymmetric algorithm is performed",
"testMethod": "PCT",
"testProps": "4096 bit key and SHA2- 256",
"type": "PCT"
},
{
"algorithmOrTest": "ECDSA SigGen (FIPS186-4) (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Signature generation",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "P-256 and SHA2-256",
"type": "CAST"
},
{
"algorithmOrTest": "ECDSA SigVer (FIPS186-4) (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Signature verification",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "P-256 and SHA2-256",
"type": "CAST"
},
{
"algorithmOrTest": "ECDSA KeyGen (FIPS186-4) (A4782)",
"condition": "Key generation",
"details": "Calculation and verification of a digital signature",
"indicator": "Asymmetric algorithm is performed",
"testMethod": "PCT",
"testProps": "P-256 and SHA2-256",
"type": "PCT"
},
{
"algorithmOrTest": "KAS-ECC-SSC Sp800-56Ar3 (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Shared secret computation",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "P-256",
"type": "CAST"
},
{
"algorithmOrTest": "HMAC-SHA- 1 (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "MAC",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "HMAC-SHA-1",
"type": "CAST"
},
{
"algorithmOrTest": "HMAC- SHA2-256 (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "MAC",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "HMAC-SHA2-256",
"type": "CAST"
},
{
"algorithmOrTest": "TLS v1.2 KDF RFC7627 (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Key derivation used in the TLS protocol",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "SHA-256",
"type": "CAST"
},
{
"algorithmOrTest": "KDF TLS (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Key derivation used in the TLS protocol",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "SHA-256",
"type": "CAST"
},
{
"algorithmOrTest": "KDF SSH (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Key derivation used in the SSH protocol",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "SHA-256",
"type": "CAST"
},
{
"algorithmOrTest": "HMAC-SHA- 1 (A4783)",
"condition": "Test run during pre-operational self-test",
"details": "MAC",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "HMAC-SHA-1",
"type": "CAST"
},
{
"algorithmOrTest": "HMAC- SHA2-384 (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "MAC",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "HMAC-SHA-384",
"type": "CAST"
},
{
"algorithmOrTest": "AES-CBC (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Encryption / decryption",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "128-bit key",
"type": "CAST"
},
{
"algorithmOrTest": "AES-GCM (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "Encryption / decryption",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "128-bit key",
"type": "CAST"
},
{
"algorithmOrTest": "Counter DRBG (A4782)",
"condition": "Test run during pre-operational self-test",
"details": "SP800-90ARev1 section 11.3 health tests",
"indicator": "Module becomes operational",
"testMethod": "KAT",
"testProps": "AES-256 in CTR mode, with / without derivation function, prediction resistance enabled and disabled",
"type": "CAST"
}
],
"found": true,
"section": 10,
"subsection": 2
},
"error_states": {
"entries": [
{
"conditions": "HMAC-SHA2-256 KAT failure or HMAC-SHA2-256 integrity test failure Failure of any of the CASTs Failure of any of the PCTs",
"description": "Module is no longer operational. The data output is inhibited.",
"indicator": "Module will not load, Error message related to the crypto function listed in Table 18 and the flag \u0027fips_selftest_fail\u0027 is set.Error message a PCT failure for RSA, ECDH or ECDSA pairwise consistency test and the flag \u0027fips_selftest_fail\u0027 is set.",
"name": "Halt Error",
"recoveryMethod": "The module must be re- loaded"
}
],
"found": true,
"section": 10,
"subsection": 4
},
"mechanisms_actions": {
"entries": [],
"found": false,
"section": 7,
"subsection": 1
},
"modes_of_operation": {
"entries": [
{
"description": "Only approved security functions or vendor affirmed",
"name": "Approved mode",
"statusIndicator": "The status output from the FIPS_set_indicator_status service call is provided. To read this indicator, the calling application must register a callback function using `FIPS_register_indicator_callback\u0027. The",
"type": "Approved"
},
{
"description": "security functions can be used.",
"name": "",
"statusIndicator": "callback function should take the input of the form \"char *\" which is the form of the indicator being output by the module.",
"type": ""
},
{
"description": "Only non-approved security functions can be used",
"name": "Non- Approved mode",
"statusIndicator": "No service indicator",
"type": "Non- Approved"
}
],
"found": true,
"section": 2,
"subsection": 4
},
"non_approved_allowed_NSC": {
"entries": [
{
"caveat": "Allowed per IG 2.4.A",
"name": "MD5",
"use": "Message digest used in TLS 1.0 / 1.1 KDF only"
}
],
"found": true,
"section": 2,
"subsection": 5
},
"non_approved_allowed_algos": {
"entries": [],
"found": false,
"section": 2,
"subsection": 5
},
"non_approved_not_allowed": {
"entries": [
{
"name": "AES with OFB, CCM, CFB, XTS, KW modes",
"use": "Symmetric encryption and decryption"
},
{
"name": "Blowfish, Camellia, CAST5, DES, IDEA, RC2, RC4, SEED, SM2, SM4, Triple-DES",
"use": "Symmetric encryption and decryption"
},
{
"name": "SHA2-224, SHA2-512, SM3, MD4, MD5 (outside of TLS), MDC2, RIPEMD, Whirlpool",
"use": "Message digest"
},
{
"name": "HMAC-SHA2-224, HMAC-SHA2-512, AES CMAC, Triple-DES CMAC",
"use": "Message authentication"
},
{
"name": "PKCS #1 v1.5 scheme with 1024 and greater than 4096 up to 16384 modulus, for all SHA sizes",
"use": "RSA signature generation and verification"
},
{
"name": "Probabilistic Signature Scheme (PSS), ANSI X9.31 schemes",
"use": "RSA signature generation and verification"
},
{
"name": "PKCS #1 v1.5 scheme with modulus size 2048, 3072, 4096 bits with SHA-1, SHA2-224, SHA2-512",
"use": "RSA signature generation"
},
{
"name": "PKCS #1 v1.5 scheme with modulus size 2048, 3072, 4096 bits with SHA2-224, SHA2-512",
"use": "RSA signature verification"
},
{
"name": "ECDSA with P-224, P-521",
"use": "ECDSA key generation / verification"
},
{
"name": "ECDSA with curves P-256, P-384 with SHA-1 SHA2-224, SHA2- 512",
"use": "ECDSA signature generation / verification"
},
{
"name": "ECDSA using SM2",
"use": "Digital signature generation and verification"
},
{
"name": "RSA with modulus sizes up to 16384 bits",
"use": "RSA encrypt / decrypt"
},
{
"name": "DSA with all key and SHA sizes",
"use": "DSA domain parameter generation, domain parameter verification, key pair generation, signature generation and verification"
},
{
"name": "HMAC_DRBG and Hash_DRBG for all SHA sizes",
"use": "Random number generation"
},
{
"name": "CTR_DRBG with AES-128, AES-192",
"use": "Random number generation"
},
{
"name": "ANSI X9.31 RNG",
"use": "Random number generation"
},
{
"name": "Diffie-Hellman",
"use": "Shared secret computation"
},
{
"name": "EC Diffie-Hellman Ephemeral Unified with curves other than P- 256, P-384, without KDF. EC Diffie-Hellman without KDF or using onePassDH / StaticUnified schemes",
"use": "Shared secret computation"
},
{
"name": "Key Derivation function in the context of TLS using SHA2-224 / SHA2-512",
"use": "TLS KDF"
},
{
"name": "Key Derivation function in the context of SSH using SHA-1 / SHA2-224 / SHA2-512",
"use": "SSH KDF"
},
{
"name": "PKCS #1 v1.5 with keys other than 2048 / 3072 / 4096-bit using SHA2-256, SHA2-384",
"use": "RSA signature generation and verification"
}
],
"found": true,
"section": 2,
"subsection": 5
},
"non_approved_services": {
"entries": [
{
"alg_accessed": "AES with OFB, CCM, CFB, XTS, KW modes Blowfish, Camellia, CAST5, DES, IDEA, RC2, RC4, SEED, SM2, SM4, Triple-DES",
"description": "Encryption / decryption",
"name": "Symmetric encryption and decryption",
"role": "Crypto Officer"
},
{
"alg_accessed": "SHA2-224, SHA2-512, SM3, MD4, MD5 (outside of TLS), MDC2, RIPEMD, Whirlpool",
"description": "Generating message digest",
"name": "Message digest",
"role": "Crypto Officer"
},
{
"alg_accessed": "HMAC-SHA2-224, HMAC-SHA2-512, AES CMAC, Triple-DES CMAC",
"description": "MAC computation",
"name": "Message authentication code generation and verification",
"role": "Crypto Officer"
},
{
"alg_accessed": "PKCS #1 v1.5 scheme with 1024 and greater than 4096 up to 16384 modulus, for all SHA sizes",
"description": "Generating key pair",
"name": "RSA key generation",
"role": "Crypto Officer"
},
{
"alg_accessed": "Probabilistic Signature Scheme (PSS), ANSI X9.31 schemes PKCS #1 v1.5 scheme with modulus size 2048, 3072, 4096 bits with SHA-1, SHA2- 224, SHA2-512 PKCS #1 v1.5 scheme with modulus size 2048, 3072, 4096 bits with SHA2-224, SHA2-512 PKCS #1 v1.5 with keys other than 2048 / 3072 / 4096-bit using SHA2-256, SHA2-384",
"description": "Generating signature, verifying signature",
"name": "RSA signature generation and verification",
"role": "Crypto Officer"
},
{
"alg_accessed": "ECDSA with P-224, P-521",
"description": "Generating key pair",
"name": "Key generation / verification",
"role": "Crypto Officer"
},
{
"alg_accessed": "ECDSA with P-224, P-521 ECDSA with curves P-256, P-384 with SHA- 1 SHA2-224, SHA2-512 ECDSA using SM2",
"description": "Generating signature, verifying signature",
"name": "ECDSA signature generation \u0026 verification",
"role": "Crypto Officer"
},
{
"alg_accessed": "RSA with modulus sizes up to 16384 bits",
"description": "Encryption / decryption",
"name": "RSA encrypt / decrypt",
"role": "Crypto Officer"
},
{
"alg_accessed": "DSA with all key and SHA sizes",
"description": "Generating key pair, generating signature, verifying signature",
"name": "DSA domain parameter generation, domain parameter verification, key pair generation, signature generation and verification",
"role": "Crypto Officer"
},
{
"alg_accessed": "HMAC_DRBG and Hash_DRBG for all SHA sizes CTR_DRBG with AES-128, AES-192 ANSI X9.31 RNG",
"description": "Generating deterministic random number",
"name": "Random number generation",
"role": "Crypto Officer"
},
{
"alg_accessed": "Diffie-Hellman",
"description": "Calculate a shared secret via the DH algorithm.",
"name": "Diffie-Hellman shared secret computation",
"role": "Crypto Officer"
},
{
"alg_accessed": "EC Diffie-Hellman Ephemeral Unified with curves other than P-256, P-384, without KDF. EC Diffie-Hellman without KDF or using onePassDH / StaticUnified schemes",
"description": "Calculating shared secret",
"name": "ECDH shared secret computation",
"role": "Crypto Officer"
},
{
"alg_accessed": "Key Derivation function in the context of TLS using SHA2-224 / SHA2-512 Key Derivation function in the context of SSH using SHA-1 / SHA2-224 / SHA2-512",
"description": "Deriving TLS keys and SSH keys",
"name": "Key derivation",
"role": "Crypto Officer"
}
],
"found": true,
"section": 4,
"subsection": 4
},
"ports_interfaces": {
"entries": [
{
"data": "Data inputs are provided in the variables passed in the API and callable service invocations, generally through caller-supplied buffers",
"logicalInterface": "Data Input",
"physicalPort": "N/A"
},
{
"data": "Data outputs are provided in the variables passed in the API and callable service invocations, generally through caller-supplied buffers",
"logicalInterface": "Data Output",
"physicalPort": "N/A"
},
{
"data": "Control inputs which control the mode of the module are provided through dedicated parameters.",
"logicalInterface": "Control Input",
"physicalPort": "N/A"
},
{
"data": "Status output is provided in return codes and through messages. Documentation for each API lists possible return codes. A complete list of all return codes returned by the C language APIs within the module is provided in the header files and the API documentation. Messages are also documented in the API documentation.",
"logicalInterface": "Status Output",
"physicalPort": "N/A"
}
],
"found": true,
"section": 3,
"subsection": 1
},
"roles": {
"entries": [
{
"authMethodList": "None",
"name": "Crypto Officer",
"operatorType": "CO",
"type": "Role"
}
],
"found": true,
"section": 4,
"subsection": 2
},
"security_levels": {
"entries": [
{
"level": "1",
"section": "1",
"title": "General"
},
{
"level": "1",
"section": "2",
"title": "Cryptographic module specification"
},
{
"level": "1",
"section": "3",
"title": "Cryptographic module interfaces"
},
{
"level": "1",
"section": "4",
"title": "Roles, services, and authentication"
},
{
"level": "1",
"section": "5",
"title": "Software/Firmware security"
},
{
"level": "1",
"section": "6",
"title": "Operational environment"
},
{
"level": "N/A",
"section": "7",
"title": "Physical security"
},
{
"level": "N/A",
"section": "8",
"title": "Non-invasive security"
},
{
"level": "1",
"section": "9",
"title": "Sensitive security parameter management"
},
{
"level": "1",
"section": "10",
"title": "Self-tests"
},
{
"level": "1",
"section": "11",
"title": "Life-cycle assurance"
},
{
"level": "N/A",
"section": "12",
"title": "Mitigation of other attacks"
},
{
"level": "1",
"section": "",
"title": "Overall Level"
}
],
"found": true,
"section": 1,
"subsection": 2
},
"self_tests": {
"entries": [
{
"algorithmOrTest": "HMAC- SHA2-256 (A4782)",
"details": "Integrity of the module is verified by comparing the HMAC-SHA2-256 value calculated at runtime with the HMAC- SHA2-256 value stored in the module crypto boundary that was computed at build time",
"indicator": "Module becomes operational",
"testMethod": "Message Authentication",
"testProps": "HMAC key: 256- bits",
"type": "SW/FW Integrity"
}
],
"found": true,
"section": 10,
"subsection": 1
},
"ssp_io_methods": {
"entries": [
{
"dest": "App via TOEPP Path",
"distribution": "Manual",
"entry": "Electronic",
"format": "Plaintext",
"name": "API output parameters",
"sfiAlgo": "",
"source": "CM Software"
},
{
"dest": "CM Software",
"distribution": "Manual",
"entry": "Electronic",
"format": "Plaintext",
"name": "API input parameters",
"sfiAlgo": "",
"source": "App via TOEPP Path"
}
],
"found": true,
"section": 9,
"subsection": 2
},
"ssp_zeroization_methods": {
"entries": [
{
"description": "Zeroizes the SSPs contained within the cipher handle",
"method": "Free Cipher Handle",
"operatorId": "The application is responsible for calling the appropriate destruction functions provided in the module\u0027s API: EVP_CIPHER_CTX_cleanup, HMAC_CTX_cleanup(), FIPS_rsa_free(), EC_KEY_free(), EC_POINT_free(), OPENSSL_cleanse, OPENSSL_free, FIPS_drbg_uninstantiate",
"rationale": "The destruction functions overwrite the memory occupied by keys with \"zeros\" and deallocate the memory with the regular memory deallocation operating system call."
},
{
"description": "De-allocates the volatile memory used to store SSPs",
"method": "Module Reset",
"operatorId": "By unloading and reloading the module.",
"rationale": "Volatile memory used by the module is overwritten within nanoseconds when power is removed."
}
],
"found": true,
"section": 9,
"subsection": 3
},
"storage_areas": {
"entries": [
{
"description": "The memory occupied by SSPs is allocated by regular memory allocation operating system calls.",
"name": "RAM",
"persistance": "Dynamic"
}
],
"found": true,
"section": 9,
"subsection": 1
},
"tested_module_id_hw": {
"entries": [],
"found": false,
"section": 2,
"subsection": 2
},
"tested_module_id_hw_hy": {
"entries": [],
"found": false,
"section": 2,
"subsection": 2
},
"tested_module_id_sw_fw_hy": {
"entries": [],
"found": false,
"section": 2,
"subsection": 2
},
"tested_op_env_sw_fw_hy": {
"entries": [
{
"hardwarePlatform": "VELOS Controller CX410",
"hypervisorHostOs": "N/A",
"operatingSystem": "F5OS-C 1.6.0",
"paa_pai": "Yes",
"processors": "Intel Atom C3758 Denverton-NS",
"version": "1.0.2zc-fips"
},
{
"hardwarePlatform": "VELOS Controller CX410",
"hypervisorHostOs": "N/A",
"operatingSystem": "F5OS-C 1.6.0",
"paa_pai": "No",
"processors": "Intel Atom C3758 Denverton-NS",
"version": "1.0.2zc-fips"
},
{
"hardwarePlatform": "VELOS Blade BX110",
"hypervisorHostOs": "N/A",
"operatingSystem": "F5OS-C 1.6.0",
"paa_pai": "Yes",
"processors": "Intel Xeon D-2177NT Skylake-D",
"version": "1.0.2zc-fips"
},
{
"hardwarePlatform": "VELOS Blade BX110",
"hypervisorHostOs": "N/A",
"operatingSystem": "F5OS-C 1.6.0",
"paa_pai": "No",
"processors": "Intel Xeon D-2177NT Skylake-D",
"version": "1.0.2zc-fips"
}
],
"found": true,
"section": 2,
"subsection": 2
},
"vendor_affirmed_algos": {
"entries": [
{
"algoPropList": "Key Type:Asymmetric",
"implName": "N/A",
"name": "Cryptographic Key Generation (CKG)",
"reference": "Random bit strings required for generating the cryptographic keys is compliant with section 4 example 1 of SP800-133r2"
}
],
"found": true,
"section": 2,
"subsection": 5
},
"vendor_affirmed_op_env_sw_fw_hy": {
"entries": [],
"found": false,
"section": 2,
"subsection": 2
}
},
"is_br1_format": true,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 14
},
"ECDH": {
"ECDH": 6
},
"ECDSA": {
"ECDSA": 64
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 11
},
"DSA": {
"DSA": 5
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 4
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 1
},
"GCM": {
"GCM": 28
},
"OFB": {
"OFB": 3
},
"XTS": {
"XTS": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 10
}
},
"crypto_protocol": {
"SSH": {
"SSH": 36,
"SSHv2": 5
},
"TLS": {
"TLS": {
"TLS": 56,
"TLS 1.0": 1,
"TLS 1.2": 4,
"TLS v1.0": 1,
"TLS v1.2": 4,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"MAC": {
"MAC": 19
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-224": 6,
"P-256": 36,
"P-384": 38,
"P-521": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 2
}
},
"fips_cert_id": {
"Cert": {
"#1": 8
}
},
"fips_certlike": {
"Certlike": {
"- PKCS 1": 2,
"AES-128": 3,
"AES-192": 2,
"AES-236": 1,
"AES-256": 7,
"DRBG 256": 1,
"HMAC 256": 2,
"HMAC-SHA- 1": 4,
"HMAC-SHA- 256": 2,
"HMAC-SHA-1": 16,
"HMAC-SHA-384": 2,
"PKCS #1": 16,
"PKCS 1": 8,
"PKCS#1": 2,
"SHA- 1": 2,
"SHA- 256": 2,
"SHA-1": 15,
"SHA-256": 10,
"SHA-3": 2,
"SHA-384": 9,
"SHA2- 224": 1,
"SHA2- 256": 3,
"SHA2- 384": 2,
"SHA2- 512": 1,
"SHA2-224": 9,
"SHA2-256": 11,
"SHA2-384": 9,
"SHA2-512": 11,
"SHA384": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 3
}
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 15
},
"SHA2": {
"SHA-256": 10,
"SHA-384": 9,
"SHA384": 1
},
"SHA3": {
"SHA-3": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"SM2": 4
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 25
},
"RNG": {
"RBG": 2,
"RNG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 1,
"FIPS 140-3": 9,
"FIPS 180-4": 4,
"FIPS 186-4": 11,
"FIPS 198-1": 4,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 2,
"FIPS186-4": 27,
"FIPS197": 1,
"FIPS198-1": 1,
"FIPS202": 1
},
"NIST": {
"SP 800-131A": 1,
"SP 800-135": 3,
"SP 800-140F": 1,
"SP 800-38A": 5,
"SP 800-38D": 6,
"SP 800-56A": 1,
"SP 800-90A": 2
},
"PKCS": {
"PKCS #1": 8,
"PKCS 1": 5,
"PKCS#1": 1
},
"RFC": {
"RFC 4253": 1,
"RFC 5288": 1,
"RFC 6668": 1,
"RFC3394": 1,
"RFC5288": 2,
"RFC5647": 1,
"RFC5649": 1,
"RFC7627": 3
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 66,
"AES-": 5,
"AES-128": 3,
"AES-192": 2,
"AES-256": 7
},
"CAST": {
"CAST": 36,
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 1,
"Triple-DES": 4
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 6,
"HMAC": 25,
"HMAC-SHA-384": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 2
},
"SM4": {
"SM4": 2
}
}
},
"tee_name": {
"AMD": {
"PSP": 5
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC-SHA2-256A4782",
"KDF TLSA4782",
"HMAC-SHA2-384A4782",
"Counter DRBGA4783",
"AES-CBCA4783",
"SHA2-384A4782",
"SHA-1A4783",
"AES-CTRA4782",
"AES-ECBA4783",
"RSA SigVer (FIPS186-4)A4782",
"HMAC-SHA-1A4783",
"KAS-ECC-SSC Sp800-56Ar3A4782",
"ECDSA SigVer (FIPS186-4)A4782",
"ECDSA KeyGen (FIPS186-4)A4782",
"KDF SSHA4782",
"TLS v1.2 KDF RFC7627A4782",
"ECDSA KeyVer (FIPS186-4)A4782",
"RSA KeyGen (FIPS186-4)A4782",
"ECDSA SigGen (FIPS186-4)A4782",
"SHA2-256A4782",
"AES-GMACA4783",
"RSA SigGen (FIPS186-4)A4782",
"AES-GCMA4783"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A4782",
"#A4783"
]
},
"policy_metadata": {
"/CreationDate": "D:20250606093507-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_ActionId": "f01a5b54-582f-4b2b-a421-04b739238045",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_ContentBits": "1",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_Enabled": "true",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_Method": "Privileged",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_Name": "UNCLASSIFIED OFFICIAL USE ONLY",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_SetDate": "2025-06-05T17:17:54Z",
"/MSIP_Label_b1479b79-36a9-4723-8bf6-a8305c972c78_SiteId": "da9cbe40-ec1e-4997-afb3-17d87574571a",
"/ModDate": "D:20250606093507-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 497458,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://doi.org/10.6028/NIST.SP.800-90B",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar1.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-132/nist-sp800-132.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38G.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-ig-announcements",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r4.pdf",
"https://doi.org/10.6028/NIST.FIPS.140-3",
"http://www.ietf.org/rfc/rfc5649.txt",
"https://doi.org/10.6028/NIST.SP.800-133r2",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"https://doi.org/10.6028/NIST.SP.800-56Ar3",
"http://www.ietf.org/rfc/rfc3394.txt",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://dx.doi.org/10.6028/NIST.SP.800-90Ar1",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://doi.org/10.6028/NIST.SP.800-56Cr2",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 50
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f78e68cbf294a4270f4f3b6e75a272afe946e1ff2e7b8c351e0e40ab4b9419ba",
"source_hash": "02e01888a253b7266bb51b21316b1b57d379acd0d05c199a94ebd5a1c717cfcc",
"txt_hash": "74141cd6eac48830008266f5e2b137d4c92fff4aeade515090b196b596abde34"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in approved mode, installed, initialized and configured as specified in Section 11 of the Security Policy. No assurance of minimum security of SSPs (e.g., keys, bit strings) that are externally loaded, or of SSPs established with externally loaded SSPs",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/June 2025_080725_0749.pdf",
"date_sunset": "2030-06-07",
"description": "Cryptographic library offering various cryptographic mechanisms to be used by OpenSSL application running on F5 VELOS system controller and blade.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2025-06-08",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "F5, Inc.",
"vendor_url": "f5.com"
}
}